let
  urls = [
    "https://bitwarden.ingolf-wagner.de"
    "https://flix.ingolf-wagner.de"
    "https://git.ingolf-wagner.de"
    "https://ingolf-wagner.de"
    "https://nextcloud.ingolf-wagner.de"
    "https://nextcloud.ingolf-wagner.de"
    "https://tech.ingolf-wagner.de"
  ];
in
{
  services.telegraf = {
    enable = true;
    extraConfig = {
      outputs.prometheus_client = {
        listen = ":9273";
        metric_version = 2;
      };
      # https://github.com/influxdata/telegraf/tree/master/plugins/inputs < all them plugins
      inputs = {
        x509_cert = [{
          sources = (map (url: "${url}:443") urls);
          interval = "30m"; # agent.interval = "10s" is default
        }];
        http_response = [{ inherit urls; }];
        processes = { };
        systemd_units = { };
        internet_speed.interval = "50m";
        nginx.urls = [ "http://localhost/nginx_status" ];
      };
    };
  };
}
